import { ModeEnum, Setting, MarkStore } from "@/types";
import { reactive } from "vue";

const obj = {
  setting: {
    mode: "TRACK",
  },
  status: {},
} as MarkStore;

/** 保存setting和task */
export function saveSetting(settingRes: Setting) {
  store.setting = settingRes;
}

/** 切换评分模式 */
export function toggleMode() {
  store.setting.mode =
    store.setting.mode === ModeEnum.TRACK ? ModeEnum.COMMON : ModeEnum.TRACK;
  // 切换模式会清除当前任务的打分
}

/** 给当前任务评分 */
export function markScore() {}

export const store = reactive(obj);
